/// <reference types="@types/google.maps" />
import { SvelteComponent } from "svelte";
declare const __propDef: {
    props: {
        position: google.maps.LatLng | google.maps.LatLngLiteral;
        options?: google.maps.marker.AdvancedMarkerElementOptions | undefined;
        customClassName?: string | undefined;
        infoWindowContent?: string | Element | Text | null | undefined;
        useInfoWindow?: boolean | undefined;
    };
    events: {
        click: CustomEvent<any>;
        clickableChanged: CustomEvent<any>;
        cursorChanged: CustomEvent<any>;
        animationChanged: CustomEvent<any>;
        draggableChanged: CustomEvent<any>;
        flatChanged: CustomEvent<any>;
        iconChanged: CustomEvent<any>;
        positionChanged: CustomEvent<any>;
        shapeChanged: CustomEvent<any>;
        titleChanged: CustomEvent<any>;
        visibleChanged: CustomEvent<any>;
        zIndexChanged: CustomEvent<any>;
    } & {
        [evt: string]: CustomEvent<any>;
    };
    slots: {
        default: {};
    };
};
export type CustomMarkerProps = typeof __propDef.props;
export type CustomMarkerEvents = typeof __propDef.events;
export type CustomMarkerSlots = typeof __propDef.slots;
export default class CustomMarker extends SvelteComponent<CustomMarkerProps, CustomMarkerEvents, CustomMarkerSlots> {
}
export {};
